%% Creating groups of control and amw flies
cntrl = score(~amw,:);
amw1 = score(logical(amw),:);
%%
mInter = [];
mIntra = [];
lengthThing = 1:2;
h=waitbar(0,'progress');
%%
lengthThing2 = length(cntrl(:,1))/2;
for i = 1:20000 %for 20,000 interations
    randomFlyID = ceil(lengthThing2*rand(1,lengthThing2)); %create a list of random numbers (with replacement) from 1-10 (for 1-10 of control flies)    intra = [];inter = [];
    intra = [];inter = [];
    for flyID = 1:length(randomFlyID)
        intra(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(flyID)*2)-1,lengthThing)]);
        %in this data structure, the representations of odorpanel 1 and
        %odorpanel 2 are located at (flyID*2)-1 and (flyID*2)
        for k = 1:length(randomFlyID)
            if k == flyID
                continue
            end
            inter(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([cntrl(randomFlyID(flyID)*2,lengthThing);cntrl((randomFlyID(k)*2)-1,lengthThing)]);
            inter(end+1) = pdist([cntrl((randomFlyID(flyID)*2)-1,lengthThing);cntrl((randomFlyID(k)*2),lengthThing)]);
            inter(end+1) = pdist([cntrl((randomFlyID(flyID)*2)-1,lengthThing);cntrl((randomFlyID(k)*2)-1,lengthThing)]);
            %Calcuate the distance of both odor panel 1 and 2 to the odor
            %panel 1 and 2 of the random fly
        end
    end
    mInter(end+1) = nanmean(inter);
    mIntra(end+1) = nanmean(intra);
    waitbar(i/20000,h)
end
close(h)
mInter1 = mInter;
mIntra1 = mIntra;
p = sum(mIntra>mInter)/length(mIntra);
barMean= [nanmean(mIntra),nanmean(mInter)];
barStd= [nanstd(mIntra),nanstd(mInter)];
madS = barMean;
madE = barStd;
Fig2f_pair
text(1.5,nanmean(mInter+1),num2str(p));
